Termius for iOS

Version 4.6.7 - Released 27 August, 2020
Fixed app crash when trying to create a Snippet with a default target
Requires iOS 11.2 or later. Compatible with iPhone, iPad, and iPod touch.